searchData={"items":[{"type":"module","title":"Enfiladex","doc":"`Enfiladex` is the drop-in `Common Test` wrapper for _Elixir_.","ref":"Enfiladex.html"},{"type":"function","title":"Enfiladex.hello/0","doc":"Hello world.","ref":"Enfiladex.html#hello/0"},{"type":"function","title":"Examples - Enfiladex.hello/0","doc":"iex> Enfiladex.hello()\n    :world","ref":"Enfiladex.html#hello/0-examples"},{"type":"function","title":"Enfiladex.multi_peer/3","doc":"","ref":"Enfiladex.html#multi_peer/3"},{"type":"function","title":"Enfiladex.peer/3","doc":"","ref":"Enfiladex.html#peer/3"},{"type":"module","title":"Enfiladex.Hooks","doc":"","ref":"Enfiladex.Hooks.html"},{"type":"function","title":"Enfiladex.Hooks.init/2","doc":"","ref":"Enfiladex.Hooks.html#init/2"},{"type":"function","title":"Enfiladex.Hooks.on_tc_fail/4","doc":"","ref":"Enfiladex.Hooks.html#on_tc_fail/4"},{"type":"function","title":"Enfiladex.Hooks.post_end_per_testcase/5","doc":"","ref":"Enfiladex.Hooks.html#post_end_per_testcase/5"},{"type":"module","title":"Enfiladex.Suite","doc":"`Enfiladex` is the drop-in `Common Test` wrapper for _Elixir_.\n\n**`@enfiladex_strategy`** attribute can be set before each `describe/2` call to one of the following values:\n\n- **`[]`** (empty list / no option)\n  - The test cases in the group are run one after the other. If a test fails, the others after it in the list are run.\n- **`:shuffle`**\n  - Runs the test in a random order. The random seed (the initialization value) used for the sequence will be printed in the HTML logs, of the form {A,B,C}. If a particular sequence of tests fails and you want to reproduce it, use that seed in the HTML logs and change the shuffle option to instead be {shuffle, {A,B,C}}. That way you can reproduce random runs in their precise order if you ever need to.\n- **`:parallel`**\n  - The tests are run in different processes. Be careful because if you forget to export the init_per_group and end_per_group functions, Common Test will silently ignore this option.\n- **`:sequence`**\n  - Doesn't necessarily mean that the tests are run in order, but rather that if a test fails in the group's list, then all the other subsequent tests are skipped. This option can be combined with shuffle if you want any random test failing to stop the ones after.\n- **`{:repeat, times}`**\n  - Repeats the group Times times. You could thus run all test cases in the group in parallel 9 times in a row by using the group properties [parallel, {repeat, 9}]. Times can also have the value forever, although 'forever' is a bit of a lie as it can't defeat concepts such as hardware failure or heat death of the Universe (ahem).\n- **`{:repeat_until_any_fail, n}`**\n  - Runs all the tests until one of them fails or they have been run N times. N can also be forever.\n- **`{:repeat_until_all_fail, n}`**\n  - Same as above, but the tests may run until all cases fail.\n- **`{:repeat_until_any_succeed, n}`**\n  - Same as before, except the tests may run until at least one case succeeds.\n- **`{:repeat_until_all_succeed, n}`**\n  - I think you can guess this one by yourself now, but just in case, it's the same as before except that the test cases may run until they all succeed.\n\n[Common Test for Uncommon Tests](https://learnyousomeerlang.com/common-test-for-uncommon-tests)","ref":"Enfiladex.Suite.html"},{"type":"macro","title":"Enfiladex.Suite.describe/2","doc":"","ref":"Enfiladex.Suite.html#describe/2"},{"type":"function","title":"Enfiladex.Suite.hello/0","doc":"Hello world.","ref":"Enfiladex.Suite.html#hello/0"},{"type":"function","title":"Examples - Enfiladex.Suite.hello/0","doc":"iex> Enfiladex.hello()\n    :world","ref":"Enfiladex.Suite.html#hello/0-examples"},{"type":"function","title":"Enfiladex.Suite.on_exit/2","doc":"","ref":"Enfiladex.Suite.html#on_exit/2"},{"type":"macro","title":"Enfiladex.Suite.setup/1","doc":"","ref":"Enfiladex.Suite.html#setup/1"},{"type":"macro","title":"Enfiladex.Suite.setup/2","doc":"","ref":"Enfiladex.Suite.html#setup/2"},{"type":"macro","title":"Enfiladex.Suite.setup_all/1","doc":"","ref":"Enfiladex.Suite.html#setup_all/1"},{"type":"macro","title":"Enfiladex.Suite.setup_all/2","doc":"","ref":"Enfiladex.Suite.html#setup_all/2"},{"type":"macro","title":"Enfiladex.Suite.test/3","doc":"","ref":"Enfiladex.Suite.html#test/3"},{"type":"task","title":"mix enfiladex","doc":"","ref":"Mix.Tasks.Enfiladex.html"},{"type":"function","title":"Mix.Tasks.Enfiladex.run/1","doc":"","ref":"Mix.Tasks.Enfiladex.html#run/1"},{"type":"exception","title":"Enfiladex.ModuleAttributeError","doc":"Exception raised to indicate the misplaced module attribute.","ref":"Enfiladex.ModuleAttributeError.html"},{"type":"type","title":"Enfiladex.ModuleAttributeError.t/0","doc":"","ref":"Enfiladex.ModuleAttributeError.html#t:t/0"},{"type":"extras","title":"Enfiladex","doc":"# Enfiladex\n\n**Wrapper for executing `ExUnit` as `common_test` **","ref":"readme.html"},{"type":"extras","title":"Installation - Enfiladex","doc":"```elixir\ndef deps do\n  [\n    {:enfiladex, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Enfiladex","doc":"Add `use Enfiladex` to your test to convert it to common test suite.","ref":"readme.html#usage"},{"type":"extras","title":"Known issues - Enfiladex","doc":"- `on_exit/2` callbacks with captures makes test to fail compiling with `use Enfiladex` (`Code.with_diagnostics/2` issue),\n- `Enfiladex.{peer/3, multi_peer_/3}` fail from tests with an anonymous function,\n- `MIX_ENV=test iex --sname am -S mix enfiladex` (named node) to execute common test,\n- compiled `beam` files are not yet removed. \n\n[Documentation](https://hexdocs.pm/enfiladex).","ref":"readme.html#known-issues"}],"content_type":"text/markdown"}